Bug 1003624 - some long passwords rejected as "too simplistic/systematic"
some long passwords rejected as "too simplistic/systematic"
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: cracklib (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Tomas Mraz
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-02 09:51 EDT by Steve Tyler
Modified: 2015-01-12 07:49 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-01-12 04:15:50 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Steve Tyler 2013-09-02 09:51:38 EDT
Description of problem:
Some long passwords are rejected as "too simplistic/systematic":

$ echo 'devouterinelegantbloodthirstinesssbratwurstsheeledpivoted' | pwscore
Password quality check failed:
 The password fails the dictionary check - it is too simplistic/systematic

This password has 32 words chosen randomly from the diceware English word list:[1]

$ echo 'rest china stuart cdc abbott nc augur melt ww chalk onward keyed keith loath spay beep gabon ibid have cowry entry 2345 fum polio pivot den froze exult macon yv store elfin' | pwscore
Password quality check failed:
 The password fails the dictionary check - it is too simplistic/systematic

Version-Release number of selected component (if applicable):
cracklib-2.8.22-3.fc19.x86_64
libpwquality-1.2.2-1.fc19.x86_64

How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
See also: Bug 1003169

[1] http://world.std.com/~reinhold/diceware.html
$ wc -l diceware_en.lst
7776 diceware_en.lst
Comment 1 Steve Tyler 2013-09-03 02:13:31 EDT
Most strings of 64 or more random decimal digits are rejected:

1: 6385326391022739493287072161974443988016028748938957548594690585: Password quality check failed: The password fails the dictionary check - it is too simplistic/systematic

Some strings of 64 or more random alphanumeric characters are rejected:

89: RhBldxtQBwwV2bCWZBCpTXV1RBK10cbdqbulCEIqNvc6KdQzmNXefpOFA0JCvubf: Password quality check failed: The password fails the dictionary check - it is too simplistic/systematic
Comment 2 Fedora End Of Life 2015-01-09 14:41:22 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Hubert Kario 2015-01-12 07:49:22 EST
Issue fixed in Fedora 20 and 21, using cracklib-2.9.0-5.fc20.x86_64 and cracklib-2.9.1-5.fc21.x86_64

Note You need to log in before you can comment on or make changes to this bug.